- entityDefinitions:
  - IDC_ReportDefinition: '{19D947B6-CE82-4EEE-92EC-A4E01E27F2DB}'
  - IDR_Report_Definition__has__Report_Column: '{05d8644c-111a-42c5-9494-76c6b2898380}'
  - IDR_Report_Column__for__Report_Definition: '{0f4fbce4-bd02-4de0-8676-7596fb202b28}'
  - IDR_Report_Definition__has__Report_Sort_Descriptor: '{91583cc3-6007-40e5-a789-d08c0ff975e6}'
  - IDR_Report_Sort_Descriptor__for__Report_Definition: '{5131d10c-ac40-42d0-b831-54f78d8f70dd}'
  - IDR_Report_Definition__uses__Data_Source: '{1DE7B484-F9E3-476A-A9D3-7D2A86B55845}'
  - IDR_Data_Source__used_by__Report_Definition: '{05DA3D00-0EAE-454E-A7D9-C7382EDCD15F}'

- library: '&IDL_MochaBaseSystem;'
  instances:
  - class: '&IDC_ReportDefinition;'
    name: Report Definition
    index: 4296
    abstract: yes
    moduleId: '&IDI_Module_MochaBaseSystem_Reporting;'
    
  - relationship: '&IDR_Report_Definition__has__Report_Column;'
    index: 3654
    sourceClassId: '&IDC_ReportDefinition;'
    type: 'has'
    destinationClassId: '&IDC_ReportColumn;'
    siblingRelationshipId: '&IDR_Report_Column__for__Report_Definition;'
    singular: no

  - relationship: '&IDR_Report_Column__for__Report_Definition;'
    index: 3655
    sourceClassId: '&IDC_ReportColumn;'
    type: 'for'
    destinationClassId: '&IDC_ReportDefinition;'
    siblingRelationshipId: '&IDR_Report_Definition__has__Report_Column;'
    singular: no
    
  - relationship: '&IDR_Report_Definition__has__Report_Sort_Descriptor;'
    index: 3658
    sourceClassId: '&IDC_ReportDefinition;'
    type: 'has'
    destinationClassId: '&IDC_ReportSortDescriptor;'
    siblingRelationshipId: '&IDR_Report_Sort_Descriptor__for__Report_Definition;'
    singular: no

  - relationship: '&IDR_Report_Sort_Descriptor__for__Report_Definition;'
    index: 3659
    sourceClassId: '&IDC_ReportSortDescriptor;'
    type: 'for'
    destinationClassId: '&IDC_ReportDefinition;'
    siblingRelationshipId: '&IDR_Report_Definition__has__Report_Sort_Descriptor;'
    singular: no

  - relationship: '&IDR_Report_Definition__uses__Data_Source;'
    index: 3718
    sourceClassId: '&IDC_ReportDefinition;'
    type: 'uses'
    destinationClassId: '&IDC_DataSource;'
    siblingRelationshipId: '&IDR_Data_Source__used_by__Report_Definition;'
    singular: yes

  - relationship: '&IDR_Data_Source__used_by__Report_Definition;'
    index: 3719
    sourceClassId: '&IDC_DataSource;'
    type: 'used by'
    destinationClassId: '&IDC_ReportDefinition;'
    siblingRelationshipId: '&IDR_Report_Definition__uses__Data_Source;'
    singular: no
